/* * Copyright (C) 2021 Advanced Micro Devices. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

/**
 * @file smi_lib_ret.h
 *
 * GPU SMI Library Return Values
 */

#ifndef __SMI_LIB_RET_H__
#define __SMI_LIB_RET_H__

#ifdef __cplusplus
extern "C" {
#endif

enum { SMI_SUCCESS	     = 0,  /**< Call succeeded */
       SMI_ERR_INVAL	     = 1,  /**< Invalid parameters */
       SMI_ERR_NOMEM	     = 2,  /**< Not enough memory */
       SMI_ERR_NOT_SUPPORTED = 3,  /**< Command not supported */
       SMI_ERR_GENERIC	     = 4,  /**< Generic Error */
       SMI_ERR_NO_PERM	     = 5,  /**< Permission Denied */
       SMI_ERR_BUSY	     = 6,  /**< Device busy */
       SMI_ERR_NOT_FOUND     = 7,  /**< Device Not found */
       SMI_ERR_IO	     = 8,  /**< I/O Error */
       SMI_ERR_FAULT	     = 9,  /**< Bad address */
       SMI_ERR_API_FAILED    = 10, /**< API call failed */
       SMI_ERR_TIMEOUT	     = 11, /**< Timeout in API call */
       SMI_ERR_NO_SLOT	     = 12, /**< No more free slot */
       SMI_ERR_RETRY	     = 13, /**< Retry operation */
       SMI_ERR_NOT_INIT	     = 14, /**< Device not initialized */
};

#ifdef __cplusplus
}
#endif

#endif
